<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellReference (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellReference (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/CellReference.html" target="_top">Frames</a>
        </li>
        <li><a href="CellReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.util.CellReference">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.ss.util.CellReference">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.util</div>
    <h2 title="Class CellReference" class="title">Class CellReference</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                       title="class in org.apache.poi.ss.util">org.apache.poi.ss.util.CellReference</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.util.CellReference</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">POI 4.0.0-SNAPSHOT. Use <a
                            href="../../../../../org/apache/poi/ss/util/CellReference.html"
                            title="class in org.apache.poi.ss.util"><code>CellReference</code></a> instead.
          Actually the replacement CellReference was added earlier, but the deprecation notice
          was added only in 4.0.0-SNAPSHOT.</span></div>
                </div>
                <br>
                <pre>public final class <span class="typeNameLabel">CellReference</span>
extends <a href="../../../../../org/apache/poi/ss/util/CellReference.html" title="class in org.apache.poi.ss.util">CellReference</a></pre>
                <div class="block">Common conversion functions between Excel style A1, C27 style
                    cell references, and POI usermodel style row=0, column=0
                    style references.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.util.CellReference">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ss.util.<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                         title="enum in org.apache.poi.ss.util">CellReference.NameType</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/CellReference.html#CellReference-int-int-">CellReference</a></span>(int&nbsp;pRow,
                                    int&nbsp;pCol)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/CellReference.html#CellReference-int-int-boolean-boolean-">CellReference</a></span>(int&nbsp;pRow,
                                    int&nbsp;pCol,
                                    boolean&nbsp;pAbsRow,
                                    boolean&nbsp;pAbsCol)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/CellReference.html#CellReference-java.lang.String-">CellReference</a></span>(java.lang.String&nbsp;cellRef)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Create an cell ref from a string representation.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/CellReference.html#CellReference-java.lang.String-int-int-boolean-boolean-">CellReference</a></span>(java.lang.String&nbsp;pSheetName,
                                    int&nbsp;pRow,
                                    int&nbsp;pCol,
                                    boolean&nbsp;pAbsRow,
                                    boolean&nbsp;pAbsCol)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.util.CellReference">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.util.<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#cellReferenceIsWithinRange-java.lang.String-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">cellReferenceIsWithinRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#classifyCellReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">classifyCellReference</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#convertColStringToIndex-java.lang.String-">convertColStringToIndex</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#convertNumToColString-int-">convertNumToColString</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#formatAsString--">formatAsString</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#getCellRefParts--">getCellRefParts</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#getCol--">getCol</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#getRow--">getRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#getSheetName--">getSheetName</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isColAbsolute--">isColAbsolute</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isColumnWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isColumnWithinRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isPartAbsolute-java.lang.String-">isPartAbsolute</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowAbsolute--">isRowAbsolute</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-int-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellReference-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(java.lang.String&nbsp;cellRef)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Create an cell ref from a string representation. Sheet names
                                    containing special characters should be
                                    delimited and escaped as per normal syntax rules for formulas.
                                </div>
                            </li>
                        </ul>
                        <a name="CellReference-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(int&nbsp;pRow,
                     int&nbsp;pCol)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                        <a name="CellReference-int-int-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(int&nbsp;pRow,
                     int&nbsp;pCol,
                     boolean&nbsp;pAbsRow,
                     boolean&nbsp;pAbsCol)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                        <a name="CellReference-java.lang.String-int-int-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(java.lang.String&nbsp;pSheetName,
                     int&nbsp;pRow,
                     int&nbsp;pCol,
                     boolean&nbsp;pAbsRow,
                     boolean&nbsp;pAbsCol)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/CellReference.html" target="_top">Frames</a>
        </li>
        <li><a href="CellReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.util.CellReference">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.ss.util.CellReference">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
